package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AppEntitlementsProxy.Create(ctx, operations.C1APIAppV1AppEntitlementsProxyCreateRequest{
DstAppEntitlementID: "<id>",
DstAppID: "<id>",
SrcAppEntitlementID: "<id>",
SrcAppID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.CreateAppEntitlementProxyResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.appEntitlementsProxy.create({
srcAppId: "<id>",
srcAppEntitlementId: "<id>",
dstAppId: "<id>",
dstAppEntitlementId: "<id>",
});
console.log(result);
}
run();curl --request POST \
--url https://{tenantDomain}.conductor.one/api/v1/apps/{src_app_id}/{src_app_entitlement_id}/bindings/{dst_app_id}/{dst_app_entitlement_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"expandMask": {
"paths": [
"<string>"
]
}
}
'import requests
url = "https://{tenantDomain}.conductor.one/api/v1/apps/{src_app_id}/{src_app_entitlement_id}/bindings/{dst_app_id}/{dst_app_entitlement_id}"
payload = { "expandMask": { "paths": ["<string>"] } }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({expandMask: {paths: ['<string>']}})
};
fetch('https://{tenantDomain}.conductor.one/api/v1/apps/{src_app_id}/{src_app_entitlement_id}/bindings/{dst_app_id}/{dst_app_entitlement_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"appProxyEntitlementView": {
"appProxyEntitlement": {
"createdAt": "2023-11-07T05:31:56Z",
"deletedAt": "2023-11-07T05:31:56Z",
"disabledAt": "2023-11-07T05:31:56Z",
"dstAppEntitlementId": "<string>",
"dstAppId": "<string>",
"implicit": true,
"srcAppEntitlementId": "<string>",
"srcAppId": "<string>",
"systemBuiltin": true,
"updatedAt": "2023-11-07T05:31:56Z"
},
"dstAppEntitlementPath": "<string>",
"dstAppPath": "<string>",
"srcAppEntitlementPath": "<string>",
"srcAppPath": "<string>"
},
"expanded": [
{
"@type": "<string>"
}
]
}Create
Create a proxy binding between a source and destination entitlement, establishing a hierarchical relationship.
package main
import(
"context"
"github.com/conductorone/conductorone-sdk-go/pkg/models/shared"
conductoronesdkgo "github.com/conductorone/conductorone-sdk-go"
"github.com/conductorone/conductorone-sdk-go/pkg/models/operations"
"log"
)
func main() {
ctx := context.Background()
s := conductoronesdkgo.New(
conductoronesdkgo.WithSecurity(shared.Security{
BearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
Oauth: "<YOUR_OAUTH_HERE>",
}),
)
res, err := s.AppEntitlementsProxy.Create(ctx, operations.C1APIAppV1AppEntitlementsProxyCreateRequest{
DstAppEntitlementID: "<id>",
DstAppID: "<id>",
SrcAppEntitlementID: "<id>",
SrcAppID: "<id>",
})
if err != nil {
log.Fatal(err)
}
if res.CreateAppEntitlementProxyResponse != nil {
// handle response
}
}import { ConductoroneSDKTypescript } from "conductorone-sdk-typescript";
const conductoroneSDKTypescript = new ConductoroneSDKTypescript({
security: {
bearerAuth: "<YOUR_BEARER_TOKEN_HERE>",
oauth: "<YOUR_OAUTH_HERE>",
},
});
async function run() {
const result = await conductoroneSDKTypescript.appEntitlementsProxy.create({
srcAppId: "<id>",
srcAppEntitlementId: "<id>",
dstAppId: "<id>",
dstAppEntitlementId: "<id>",
});
console.log(result);
}
run();Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Path Parameters
The ID of the app that owns the source entitlement.
The ID of the source (parent) entitlement.
The ID of the app that owns the destination entitlement.
The ID of the destination (child) entitlement.
Body
The request message for creating an entitlement proxy binding.
The AppEntitlementProxyExpandMask message.
Show child attributes
Show child attributes
Response
The response message for creating an entitlement proxy binding.
Was this page helpful?